function n = lyngby_numscans() 

% lyngby_numscans	- Returns the masked number of scans volume
%
%	function I = lyngby_numscans() 
%
%	Output:	n	The number of masked scans, 
%			if the time mask is not defined returns NUM_SCANS
%
%	lyngby_global

%	Date		Author		Version
%	1996-11-13	fnielsen	Initial version

% cvs :  $Revision: 1.1.1.1 $

	lyngby_global;

	if exist('TIME_MASK')
		if issparse(TIME_MASK)
			n = size(TIME_MASK,1);
			return;
		end
	end	

	n = NUM_SCANS

