
% lyngby_uis_lzgs_v    - Script for Lange-Zeger gridsearch view
%
%       See also: lyngby_lzgs_global, lyngby_ui_global

% cvs : $Id: lyngby_uis_lzgs_v.m,v 1.3 2000/05/16 15:06:18 mgl Exp $ 
%       $Revision: 1.3 $    

    if exist('RESULT_LZGS') & ~isempty(RESULT_LZGS)
      STRENGTH_LZGS = RESULT_LZGS(1,:);
      DELAY_LZGS = RESULT_LZGS(2,:)./RESULT_LZGS(3,:);
      lyngby_log('Calling result view ...');

%      lyngby_ui_view([X_MEAN ; X_STD ; RESULT_LZGS; DELAY_LZGS ], ...
%	  'Mean(data)|Std(data)|Beta (Activation strength)|Theta 1|Theta 2|Delay', ...
%	  'title', 'Lange-Zeger, Grid search', ...
%	  'callback', ...
%	  'lyngby_ui_view_lzgs', 'CallbackType', ...
%	  [ 'Time|Error|Error, abs|Filter|Histogram of ' ...
%	    'data|Histogram of error|Histogram of error, bell']);

      lyngby_ui_view([RESULT_LZGS; DELAY_LZGS ; X_MEAN ; X_STD ], ...
	  'Beta (Activation strength)|Theta 1|Theta 2|Delay|Mean(data)|Std(data)', ...
	  'title', 'Lange-Zeger, Grid search', ...
	  'callback', ...
	  'lyngby_ui_view_lzgs', 'CallbackType', ...
	  [ 'Time|Error|Error, abs|Filter|Histogram of ' ...
	    'data|Histogram of error|Histogram of error, bell']);
      
    else
      lyngby_ui_message([ 'There are no Lange-Zeger ' ...
	    '(direct search) results. Please press ''Calculate!''']);
    end    
